"""check Basic.nop execution"""

plan = get_plan(memory)
# check plan state
assert_equals(plan.state, 'done')

# check the doc file has been written
from os.path import exists, join
from narval.config import get_home
fname = join(get_home(), 'data', 'narvaltest.txt')
assert exists(fname), "%s doesn't exist" % fname
assert_equals(open(fname).read().strip(), 'This is from narval basic.write_file test')
